Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs
Interface PortletPreferences

All Superinterfaces
  PortletPreferences

Deprecated Replaced by `PortletPreferences`

    @Deprecated
    public interface PortletPreferences

extends PortletPreferences

The `PortletPreferences` interface represents preferences associated with a portlet instance.

Portlet preferences are name-value pairs of data. A named preference may have multiple values.

Portlet preferences may be specified at development time, be updated by portal administrators, and also be updated by portlets during actions.

A preference may be marked as read-only at deployment time. In such cases portlets can not modify such a preference. But administrators may still change the value of such a preference.

Method Summary
`boolean` | `isModifiable(String key)` Deprecated Use #isReadOnly
`void` | `setValue(String key, String value)` Deprecated Replaced by `PortletPreferences.setValue(String, String)`
`void` | `setValues(String key, String[] values)` Deprecated Replaced by `PortletPreferences.setValues(String, String[])`
`void` | `store()` Deprecated Replaced by `PortletPreferences.store()`

Methods inherited from interface javax.portlet.PortletPreferences
`getMap, getNames, getValue, getValues, isReadOnly, reset`

Method Detail

### isModifiable

    @Deprecated
    boolean isModifiable(String key)

  Deprecated Use #isReadOnly

  Returns `true` if the given preference is modifiable. Modifiable preferences can be modified by a portlet in any mode during its action-processing phase.

  Parameters
    `key` - name of the preference
  Returns
    boolean

### setValue

    @Deprecated
    void setValue(String key,
                             String value)
                  throws UnmodifiableException

  Deprecated Replaced by `PortletPreferences.setValue(String, String)`

  Sets the value of the given preference.

  Specified by:
    `setValue` in interface `PortletPreferences`
  Parameters
    `key` - name of the preference
    `value` - value to be set
  Throws
    `UnmodifiableException` - thrown if the preference is marked read-only
  See Also
    `PortletPreferences.setValues(String, String[])`

### setValues

    @Deprecated
    void setValues(String key,
                              String[] values)
                   throws UnmodifiableException

  Deprecated Replaced by `PortletPreferences.setValues(String, String[])`

  Sets the value of the given preference.

  Specified by:
    `setValues` in interface `PortletPreferences`
  Parameters
    `key` - name of the preference
    `values` - value to be set
  Throws
    `UnmodifiableException` - thrown if the preference is marked read-only
  See Also
    `PortletPreferences.setValue(String,String)`

### store

    @Deprecated
    void store()
               throws IOException

  Deprecated Replaced by `PortletPreferences.store()`

  Stores the current set of preferences.

  Specified by:
    `store` in interface `PortletPreferences`
  Throws
    `IOException` - thrown if there is an error while storing the preferences
    `UnsupportedOperationException` - if this method is called inside a render call, or if customization is not enabled.
    `SecurityException` - if the current user has insufficient privileges to modify preferences.
  See Also
    `PreferencesValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.